wxWidgets: /usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/propgrid/advprops.h File Reference

| Version: 3.0.4

Classes | Macros | Functions | Variables
advprops.h File Reference

## Classes
class | wxColourPropertyValue
| Because text, background and other colours tend to differ between platforms, wxSystemColourProperty must be able to select between system colour and, when necessary, to pick a custom one. More...
class | wxFontProperty
| Property representing wxFont. More...
class | wxSystemColourProperty
| Has dropdown list of wxWidgets system colours. More...
class | wxColourProperty
class | wxCursorProperty
| Property representing wxCursor. More...
class | wxImageFileProperty
| Property representing image file(name). More...
class | wxMultiChoiceProperty
| Property that manages a value resulting from wxMultiChoiceDialog. More...
class | wxDateProperty
| Property representing wxDateTime. More...
class | wxPGSpinCtrlEditor

## Macros
#define | wxPG_COLOUR_WEB_BASE 0x10000
#define | wxPG_COLOUR_CUSTOM 0xFFFFFF
#define | wxPG_COLOUR_UNSPECIFIED (wxPG_COLOUR_CUSTOM+1)
#define | wxPG_PROP_TRANSLATE_CUSTOM wxPG_PROP_CLASS_SPECIFIC_1
| If set, then match from list is searched for a custom colour. More...

## Functions
const wxString & | wxPGGetDefaultImageWildcard ()

## Variables
wxPGEditor * | wxPGEditor_SpinCtrl
wxPGEditor * | wxPGEditor_DatePickerCtrl

## Macro Definition Documentation

## ◆ wxPG_COLOUR_CUSTOM

#define wxPG_COLOUR_CUSTOM 0xFFFFFF

## ◆ wxPG_COLOUR_UNSPECIFIED

#define wxPG_COLOUR_UNSPECIFIED (wxPG_COLOUR_CUSTOM+1)

## ◆ wxPG_COLOUR_WEB_BASE

#define wxPG_COLOUR_WEB_BASE 0x10000

## ◆ wxPG_PROP_TRANSLATE_CUSTOM

#define wxPG_PROP_TRANSLATE_CUSTOM wxPG_PROP_CLASS_SPECIFIC_1

If set, then match from list is searched for a custom colour.

## Function Documentation

## ◆ wxPGGetDefaultImageWildcard()

const wxString& wxPGGetDefaultImageWildcard | ( |  | ) |

## Variable Documentation

## ◆ wxPGEditor_DatePickerCtrl

wxPGEditor* wxPGEditor_DatePickerCtrl

## ◆ wxPGEditor_SpinCtrl

wxPGEditor* wxPGEditor_SpinCtrl